#ifndef __NJAMD_LIB_LIBC_H__
#define __NJAMD_LIB_LIBC_H__
#include <signal.h>

#ifdef HAVE_POSIX_SIGACTION
extern int (*__njLibcSigaction)(int num, const struct sigaction *, struct sigaction *);
#endif
extern nj_sighandler_t (*__njLibcSignal)(int num, nj_sighandler_t newhandler);
#ifdef _THREAD_SAFE
extern int  (*__nj_pthread_create)(pthread_t  *  thread, pthread_attr_t *attr, 
		void * (*start_routine)(void *), void * arg);
extern void (*__nj_pthread_exit)(void *);
#endif
extern void (*__nj_exit)(int);

const char *__njLibcFuncInit(void);

extern void (*__nj_libc_free)(void *);
extern void *(*__nj_libc_malloc)(size_t);
extern void *(*__nj_libc_calloc)(size_t, size_t);
extern void *(*__nj_libc_realloc)(void *,size_t);

#endif
// vim:ts=4

